<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-order-kerja-heading" data-cy="OrderKerjaCreateUpdateHeading">Create or edit a Order Kerja</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_nomor">Nomor</label>
          <input type="text" class="form-control" name="nomor" id="field_nomor" data-cy="nomor" formControlName="nomor" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tanggal">Tanggal</label>
          <div class="input-group">
            <input
              id="field_tanggal"
              data-cy="tanggal"
              type="text"
              class="form-control"
              name="tanggal"
              ngbDatepicker
              #tanggalDp="ngbDatepicker"
              formControlName="tanggal"
            />
            <button type="button" class="btn btn-secondary" (click)="tanggalDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kategori">Kategori</label>
          <input type="number" class="form-control" name="kategori" id="field_kategori" data-cy="kategori" formControlName="kategori" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tanggalTerima">Tanggal Terima</label>
          <div class="input-group">
            <input
              id="field_tanggalTerima"
              data-cy="tanggalTerima"
              type="text"
              class="form-control"
              name="tanggalTerima"
              ngbDatepicker
              #tanggalTerimaDp="ngbDatepicker"
              formControlName="tanggalTerima"
            />
            <button type="button" class="btn btn-secondary" (click)="tanggalTerimaDp.toggle()">
              <fa-icon icon="calendar-alt"></fa-icon>
            </button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jumlahAkta">Jumlah Akta</label>
          <input
            type="number"
            class="form-control"
            name="jumlahAkta"
            id="field_jumlahAkta"
            data-cy="jumlahAkta"
            formControlName="jumlahAkta"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jumlahCancel">Jumlah Cancel</label>
          <input
            type="number"
            class="form-control"
            name="jumlahCancel"
            id="field_jumlahCancel"
            data-cy="jumlahCancel"
            formControlName="jumlahCancel"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jumlahCetakAkta">Jumlah Cetak Akta</label>
          <input
            type="number"
            class="form-control"
            name="jumlahCetakAkta"
            id="field_jumlahCetakAkta"
            data-cy="jumlahCetakAkta"
            formControlName="jumlahCetakAkta"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_uploadFile">Upload File</label>
          <input
            type="text"
            class="form-control"
            name="uploadFile"
            id="field_uploadFile"
            data-cy="uploadFile"
            formControlName="uploadFile"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_status">Status</label>
          <input type="number" class="form-control" name="status" id="field_status" data-cy="status" formControlName="status" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_statusSigned">Status Signed</label>
          <input
            type="checkbox"
            class="form-check"
            name="statusSigned"
            id="field_statusSigned"
            data-cy="statusSigned"
            formControlName="statusSigned"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateBy">Update By</label>
          <input type="text" class="form-control" name="updateBy" id="field_updateBy" data-cy="updateBy" formControlName="updateBy" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateOn">Update On</label>
          <div class="d-flex">
            <input
              id="field_updateOn"
              data-cy="updateOn"
              type="datetime-local"
              class="form-control"
              name="updateOn"
              formControlName="updateOn"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_approveBy">Approve By</label>
          <input type="text" class="form-control" name="approveBy" id="field_approveBy" data-cy="approveBy" formControlName="approveBy" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_approveOn">Approve On</label>
          <div class="d-flex">
            <input
              id="field_approveOn"
              data-cy="approveOn"
              type="datetime-local"
              class="form-control"
              name="approveOn"
              formControlName="approveOn"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_skSubtitusi">Sk Subtitusi</label>
          <select
            class="form-control"
            id="field_skSubtitusi"
            data-cy="skSubtitusi"
            name="skSubtitusi"
            formControlName="skSubtitusi"
            [compareWith]="compareSkSubtitusi"
          >
            <option [ngValue]="null"></option>
            @for (skSubtitusiOption of skSubtitusisSharedCollection; track $index) {
              <option [ngValue]="skSubtitusiOption">{{ skSubtitusiOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_notaris">Notaris</label>
          <select
            class="form-control"
            id="field_notaris"
            data-cy="notaris"
            name="notaris"
            formControlName="notaris"
            [compareWith]="compareNotaris"
          >
            <option [ngValue]="null"></option>
            @for (notarisOption of notarisesSharedCollection; track $index) {
              <option [ngValue]="notarisOption">{{ notarisOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_penerimaKuasa">Penerima Kuasa</label>
          <select
            class="form-control"
            id="field_penerimaKuasa"
            data-cy="penerimaKuasa"
            name="penerimaKuasa"
            formControlName="penerimaKuasa"
            [compareWith]="comparePenerimaKuasa"
          >
            <option [ngValue]="null"></option>
            @for (penerimaKuasaOption of penerimaKuasasSharedCollection; track $index) {
              <option [ngValue]="penerimaKuasaOption">{{ penerimaKuasaOption.id }}</option>
            }
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
